[jp] problems running .confiure

Judd Montgomery judd at jpilot.org
Fri Jan 24 12:57:57 EST 2003


OK, I think I fixed this and checked configure.in into CVS.

Judd

Aaron Anderson wrote:
> Hmmm.....I'm not upgrading but I had apt-get'd jpilot earlier and then
> removed it.  Something was be left behind.  What is it using to test the
> version?  pi-version.h?  The only pi-version.h is the proper one.  Here is
> what I have in my config.log:
> 
> configure:10005: result: no
> configure:10140: checking pilot-link version
> configure:10179: gcc -c -g -O2  conftest.c >&5
> configure:10144: pi-version.h: No such file or directory
> configure:10182: $? = 1
> configure: failed program was:
> #line 10143 "configure"
> #include "confdefs.h"
> #include <pi-version.h>
> #ifdef F77_DUMMY_MAIN
> #  ifdef __cplusplus
>      extern "C"
> #  endif
>    int F77_DUMMY_MAIN() { return 1; }
> #endif
> int
> main ()
> {
> 
> int main()
> {
> #if PILOT_LINK_VERSION==0
> # if PILOT_LINK_MAJOR==11
> #  if PILOT_LINK_MINOR==0
> #   error 0.11.0 is not compatible with J-Pilot
> #  endif
> #  if PILOT_LINK_MINOR==1
> #   error 0.11.1 is not compatible with J-Pilot
> #  endif
> #  if PILOT_LINK_MINOR==2
> #   error 0.11.2 is not compatible with J-Pilot
> #  endif
> # endif
> #endif
> }
> 
>   ;
>   return 0;
> }
> configure:10194: error: pilot-link versions 0.11.0 - 0.11.2 are not
> compatible with J-Pilot
> 
> I'm running:
> ./configure --with-pilot-prefix=/home/aaron/usr/pilot-link-0.11.7/ --disable
> -pl-test
> and pi-version.h is located in
> /home/aaron/usr/pilot-link-0.11.7/include/pi-version.h
> 
> Aaron



More information about the Jpilot mailing list